#!/bin/bash

# failure usage: testrun.sh
# success usage: testrun.sh -nc

TEST_DIR=$(cd "${0%/*}"; pwd -P)
case "$(uname)" in
CYGWIN*) JS=';' ;;
*)       JS=':' ;;
esac

unset CLASSPATH # just in case
CP=$(ls *.jar|tr '\n' "$JS"|sed 's#[;:]$##')
set -x
scala "$@" -cp "$CP" ./abstractMethodBug.sc

